> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a customer

> Basic operation for updating a customer. Check parameter updateProperty for possible parameters to update




## OpenAPI

````yaml customer post /v3/{role}/{id}/update/{propertyToUpdate}
openapi: 3.0.3
info:
  description: |
    Endpoint for doing various actions connected to the customer domain
    # Introduction
    Enfuce API offers ways to operation on account, card and customer level.
  version: '1'
  title: Customer details API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/customer
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/customer
    description: Live environment
security: []
tags:
  - name: Create a customer
    description: <p>Endpoints for creating a customer</p>
  - name: Update a customer
    description: <p>Endpoints for updating a customer</p>
  - name: Get customer information
    description: Endpoints for fetching a customer
paths:
  /v3/{role}/{id}/update/{propertyToUpdate}:
    post:
      tags:
        - Update a customer
      summary: Update a customer
      description: >
        Basic operation for updating a customer. Check parameter updateProperty
        for possible parameters to update
      operationId: updateCustomerUsingPOST
      parameters:
        - name: role
          in: path
          description: Which customer role the customer is
          required: true
          schema:
            $ref: '#/components/schemas/role'
        - name: id
          in: path
          description: The customer id of customer you want to update
          required: true
          schema:
            type: string
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: propertyToUpdate
          in: path
          description: What property you want to update
          required: true
          schema:
            type: string
            enum:
              - DELETE_TEMPORARY_ADDRESS
      requestBody:
        $ref: '#/components/requestBodies/updateResourceBody'
      responses:
        '200':
          description: Successful update of customer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/resourceResponse'
        '400':
          description: Given property to update is invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      deprecated: false
components:
  schemas:
    role:
      type: string
      enum:
        - CORPORATE
        - PRIVATE
    resourceResponse:
      type: object
      properties:
        description:
          type: string
          description: Short description of the result of the action
        id:
          type: string
          description: Will contain the ID of the resource that has been created or updated
      title: resourceResponse
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    UpdateResourceBody:
      type: object
      properties:
        dummy:
          type: string
          description: Dummy value not used
      title: updateResourceBody
      description: Should set the value of the property you are updating, leave rest empty
  requestBodies:
    updateResourceBody:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateResourceBody'
      description: >
        The new value of selected property. You should only provide a value for
        the property you want to update, the other ones should be null
      required: true

````